libgimpprint API Reference: generic-options.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/generic-options.h File Reference

Go to the source code of this file.

## Data Structures
struct | stpi_quality_t
struct | stpi_image_type_t
struct | stpi_job_mode_t
## Functions
int | stpi_get_qualities_count (void)
const stpi_quality_t * | stpi_get_quality_by_index (int idx)
const stpi_quality_t * | stpi_get_quality_by_name (const char *quality)
int | stpi_get_image_types_count (void)
const stpi_image_type_t * | stpi_get_image_type_by_index (int idx)
const stpi_image_type_t * | stpi_get_image_type_by_name (const char *image_type)
int | stpi_get_job_modes_count (void)
const stpi_job_mode_t * | stpi_get_job_mode_by_index (int idx)
const stpi_job_mode_t * | stpi_get_job_mode_by_name (const char *job_mode)
stp_parameter_list_t | stp_list_generic_parameters (const stp_vars_t *v)
void | stpi_describe_generic_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)

## Function Documentation

stp_parameter_list_t stp_list_generic_parameters | ( | const stp_vars_t * | v | ) |

| Definition at line 181 of file generic-options.c. References stp_parameter_list_add_param(), stp_parameter_list_create(), stp_parameter_list_t, stp_vars_t, the_parameter_count, and the_parameters. Referenced by stp_get_parameter_list().

void stpi_describe_generic_parameter | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) |

| Definition at line 191 of file generic-options.c. References _, stp_parameter_t::bounds, stp_parameter_t::deflt, stpi_job_mode_t::name, stpi_image_type_t::name, stpi_quality_t::name, stp_parameter_t::p_type, stp_fill_parameter_settings(), STP_PARAMETER_TYPE_INVALID, stp_string_list_add_string(), stp_string_list_create(), stp_vars_t, stpi_get_image_type_by_index(), stpi_get_image_types_count(), stpi_get_job_mode_by_index(), stpi_get_job_modes_count(), stpi_get_qualities_count(), stpi_get_quality_by_index(), stpi_job_mode_t::text, stpi_image_type_t::text, stpi_quality_t::text, the_parameter_count, and the_parameters. Referenced by stp_describe_parameter().

const stpi_image_type_t* stpi_get_image_type_by_index | ( | int | idx | ) |

| Definition at line 127 of file generic-options.c. References standard_image_types, and stpi_get_image_types_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_image_type_by_name().

const stpi_image_type_t* stpi_get_image_type_by_name | ( | const char * | image_type | ) |

| Definition at line 136 of file generic-options.c. References stpi_image_type_t::name, stpi_get_image_type_by_index(), and stpi_get_image_types_count().

int stpi_get_image_types_count | ( | void |  | ) |

| Definition at line 121 of file generic-options.c. References standard_image_types. Referenced by stpi_describe_generic_parameter(), stpi_get_image_type_by_index(), and stpi_get_image_type_by_name().

const stpi_job_mode_t* stpi_get_job_mode_by_index | ( | int | idx | ) |

| Definition at line 157 of file generic-options.c. References standard_job_modes, and stpi_get_job_modes_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_job_mode_by_name().

const stpi_job_mode_t* stpi_get_job_mode_by_name | ( | const char * | job_mode | ) |

| Definition at line 166 of file generic-options.c. References stpi_job_mode_t::name, stpi_get_job_mode_by_index(), and stpi_get_job_modes_count().

int stpi_get_job_modes_count | ( | void |  | ) |

| Definition at line 151 of file generic-options.c. References standard_job_modes. Referenced by stpi_describe_generic_parameter(), stpi_get_job_mode_by_index(), and stpi_get_job_mode_by_name().

int stpi_get_qualities_count | ( | void |  | ) |

| Definition at line 91 of file generic-options.c. References standard_qualities. Referenced by stpi_describe_generic_parameter(), stpi_get_quality_by_index(), and stpi_get_quality_by_name().

const stpi_quality_t* stpi_get_quality_by_index | ( | int | idx | ) |

| Definition at line 97 of file generic-options.c. References standard_qualities, and stpi_get_qualities_count(). Referenced by stpi_describe_generic_parameter(), and stpi_get_quality_by_name().

const stpi_quality_t* stpi_get_quality_by_name | ( | const char * | quality | ) |

| Definition at line 106 of file generic-options.c. References stpi_quality_t::name, stpi_get_qualities_count(), and stpi_get_quality_by_index(). Referenced by stp_dither_describe_parameter(), and stpi_set_dither_function().